# Barrel (Scissors-API 1.18.2-R0.1-SNAPSHOT API)
declaration: package: org.bukkit.block, interface: Barrel

Package org.bukkit.block

# Interface Barrel

All Superinterfaces:
  `BlockInventoryHolder`, `BlockState`, `Container`, `InventoryHolder`, `Lidded`, `Lockable`, `Lootable`, `Metadatable`, `Nameable`, `PersistentDataHolder`, `TileState`

public interface Barrel extends Container, Lootable, Lidded
Represents a captured state of a Barrel.

## Method Summary

### Methods inherited from interface org.bukkit.inventory.BlockInventoryHolder

`getBlock`

### Methods inherited from interface org.bukkit.block.BlockState

`getBlock, getBlockData, getChunk, getData, getLightLevel, getLocation, getLocation, getRawData, getType, getWorld, getX, getY, getZ, isCollidable, isPlaced, setBlockData, setData, setRawData, setType, update, update, update`

### Methods inherited from interface org.bukkit.block.Container

`getInventory, getSnapshotInventory`

### Methods inherited from interface org.bukkit.block.Lidded

`close, isOpen, open`

### Methods inherited from interface org.bukkit.block.Lockable

`getLock, isLocked, setLock`

### Methods inherited from interface org.bukkit.loot.Lootable

`clearLootTable, getLootTable, getSeed, hasLootTable, setLootTable, setLootTable, setSeed`

### Methods inherited from interface org.bukkit.metadata.Metadatable

`getMetadata, hasMetadata, removeMetadata, setMetadata`

### Methods inherited from interface org.bukkit.Nameable

`customName, customName, getCustomName, setCustomName`

### Methods inherited from interface org.bukkit.block.TileState

`getPersistentDataContainer, isSnapshot`